【Koala】ArgumentError: invalid byte sequence in UTF-8 Use –trace for backtrace.

Koala
http://koala-app.com/
を使っていて最近になって

ArgumentError: invalid byte sequence in UTF-8
  Use --trace for backtrace.

というエラーが起きるようになった方も多いんじゃないでしょうか?
ここではその解決策を探っていきます。

旧バージョンのCompassをインストールしてみる

gem install compass -v 0.13.alpha.12

必要無いバージョンのCompassを削除しておく

Select gem to uninstall:
 1. compass-0.13.alpha.12
 2. compass-1.0.3
 3. All versions
> 2
Successfully uninstalled compass-1.0.3

Koalaの設定を変更します。


環境設定→Compass→Advanced Settingsの「Use the system Compass compiler」にチェックを入れる

でもエラーが出る

今のところ解決策が無いので
https://github.com/oklai/koala/blob/master/Changelog.md

残念ながら旧バージョンをインストールすることにした。
日本語に対応してくれるようになるまで待ちましょうか・・・・

コメントを残す